// Muestra el contenido de un fichero de texto
// pasado como parmetro leyendo linea a lnea
// Hace uso del mdulo ventanas.c

#include <stdio.h>
#include <conio.h>
#include "ventanas.h"


int main(int argc, char *argv[])
{
  FILE  *pfs;
  int    nl; // Contador de lineas
  char linea[256];

  if ( argc != 2 )
    {
    printf(" Uso: %s <fichero> ",argv[0]);
    return 1;
    }


  pfs = fopen(argv[1],"r");

  if ( pfs == NULL )
     {
     puts("Error al abrir el fichero.");
     return 1;
     }

  // Defino una subventana en modo texto
  WT_DefVentana(5, 5, 75, 20, argv[1]);

  nl = 1;
  while ( fgets(linea,255,pfs) != NULL )
     {
     // Ojo en la conio.h el '\n' slo salta de lnea
     // no produce el retorno de carro '\r'
     cprintf("%4d: %s\r",nl,linea);
     nl++;
     if ( (nl % 10 )== 0 )
         {
         getch(); // Pausa cada 15 lneas
	      clrscr();
         }
     }

  fclose(pfs);
  cprintf("%4d:%s ",nl,"FIN DEL FICHERO.");
  getch();

  // Restauro la ventana normal.
  WT_NormalVentana();

  puts("Hasta luego lucas.");
  return 0;
}

