
/* Implementaci sencilla de ventanas de Texto  */

#include <alloc.h>
#include <conio.h>
#include <string.h>
#include "ventanas.h"

/* VARIABLE PUBLICA */
short sw_activa = 0;

/* VARIABLES PRIVADAS  */
/* Puntero donde guardo la imagen antigua de la memoria de video */
static char *memoria;

/* Posiciones antiguas del cursor */
static int posx_old;
static int posy_old;

/* Coordenadas de la ventana */
static int gx0,gxf,gy0,gyf;

/* FUNCIONES PRIVADAS */
static void Marco ( int x0, int y0, int xf, int yf, char *titulo)
{
 int x,y;

 gotoxy(x0,y0);
 putch('');
 for(x=x0+1;x < xf;x++) putch('');
 putch('');
 for(y=y0+1; y< yf; y++)
    {
    gotoxy(x0,y);
    putch('');
    gotoxy(xf,y);
    putch('');
    }
 gotoxy(x0,yf);
 putch('');
 for(x=x0+1;x < xf;x++) putch('');
 putch('');

 x = x0 + (( (xf - x0) - strlen(titulo)) /2 );
 gotoxy(x,y0);
 cprintf(titulo);
 }

/* FUNCIONES PUBLICAS */

void WT_DefVentana(int x0, int y0, int xf, int yf,char *titulo)
{
  int tamano;


  sw_activa = 1;
  posx_old = wherex();
  posy_old = wherey();

  gx0 = x0-1;
  gxf = xf+1;
  gy0 = y0-1;
  gyf = yf+1;

  /* Calculo el tamao necesario para guardar esa zona */
  tamano = ( gxf - gx0 ) * (gyf - gy0 ) *  2;
  /* Pido memoria */
  memoria = (char *)  malloc( tamano );
  /* Guardo el texto antiguo */
  gettext(gx0,gy0,gxf,gyf,memoria);
  // Dibujo un marco
  textbackground(RED); // Fondo del marco en rojo
  Marco  (gx0,gy0,gxf,gyf,titulo);
  textbackground(BLUE); // Fondo del texto en azul
  window (x0,y0,xf,yf);
  clrscr(); // Borro la nueva ventana
  gotoxy(1,1);
}

void WT_NormalVentana()
{
 sw_activa = 0;
 /* Restauto el texto anterior */
 puttext(gx0,gy0,gxf,gyf,memoria);
 /* Devuelvo la memoria */
 free(memoria);
 /* Restauro la ventana normal */
 window(1,1,80,25);
 /* Devuelvo el cursor a su antigua posicion */
 gotoxy(posx_old,posy_old);
}






